package com.jeeplus.modules.sg.managementcenter.constructionProject.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.jeeplus.modules.sg.managementcenter.constructionProject.entity.ConstructionProject;
import org.hibernate.validator.constraints.EAN;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class TreeTableUtil {
    public static List<Map<String,Object>> getBootstrapTreeTable(List<Map<String,Object>> objects,List<ConstructionProject> constructionProjects){
        List<ConstructionProject> lineNames = new ArrayList<ConstructionProject>();
        Map<String,Object> maps = Maps.newHashMap();
        boolean flag = false;
        for (ConstructionProject constructionProject:constructionProjects){
            flag = true;
            for (ConstructionProject project:lineNames){
                if (project.getLineName().equals(constructionProject.getLineName())){
                    flag = false;
                    break;
                }
            }
            if (flag){
                lineNames.add(constructionProject);
                maps = Maps.newHashMap();
                maps.put("id",constructionProject.getId());
                maps.put("name",constructionProject.getLineName());
                getTreeChild(maps,constructionProjects,constructionProject.getLineName());
                objects.add(maps);
            }
        }
        return objects;
    }

    public static void getTreeChild(Map<String,Object> mapList,List<ConstructionProject> constructionProjects,String lineName){
        List<Map<String,Object>> lists = Lists.newArrayList();
        Map<String,Object> maps =Maps.newHashMap();
        for (ConstructionProject constructionProject:constructionProjects){
            if (lineName.equals(constructionProject.getLineName())){
                maps = Maps.newHashMap();
                maps.put("id",constructionProject.getId());
                maps.put("name",constructionProject.getProjectName());
                lists.add(maps);
            }
        }
        if (lists.size()>0){
            mapList.put("children",lists);
        }
    }
}
